declare const _default: {
    name: string;
    version: string;
    components: {
        Alert: {
            icons: {
                warning: any;
            };
        };
        BreadcrumbItem: {
            separator: string;
        };
        CollapseItem: {
            icons: {
                arrowIcon: any;
            };
        };
        Drawer: {
            constants: {
                DEFAULT_WIDTH: string;
            };
        };
        Dropdown: {
            icons: {
                dropdownIcon: any;
            };
            props: {
                trigger: string;
            };
            renderless: (props: any, hooks: any, { emit }: {
                emit: any;
            }, api: any) => {
                handleMenuItemClick: (itemData: any, instance: any, disabled: any) => void;
            };
        };
        DropdownMenu: {
            props: {
                visibleArrow: boolean;
                placement: string;
            };
            renderless: (props: any, hooks: any, { dispatch }: {
                dispatch: any;
            }, api: any) => {
                handleMenuItemClick: (itemData: any, instance: any, label: any, showContent: any, isDisabled: any) => void;
            };
        };
        DropdownItem: {
            icons: {
                leftWardArrow: any;
            };
            renderless: (props: any, hooks: any, { emit, dispatch, vm }: {
                emit: any;
                dispatch: any;
                vm: any;
            }, api: any) => {
                handleClick: (event: MouseEvent) => void;
            };
        };
        FilterBox: {
            icons: {
                expandButton: any;
            };
        };
        Form: {
            icons: {
                validateIcon: string;
            };
            state: {
                labelWidth: string;
                tooltipType: string;
            };
            messageType: string;
        };
        Guide: {
            state: {
                isUseModalOverlay: boolean;
            };
        };
        Grid: {
            validConfig: {
                icon: string;
            };
            minWidth: number;
            treeConfig: {
                renderIcon: boolean;
            };
            icons: {
                sortDefault: null;
                sortAsc: any;
                sortDesc: any;
            };
            stripe: boolean;
        };
        Milestone: {
            renderless: (props: any, hooks: any, { constants }: {
                constants: any;
            }, api: any) => {
                getMileIcon: (node: any) => {
                    background: string;
                    color: string;
                    boxShadow: string;
                };
                getFlagStyle: ({ index, idx }: {
                    index: any;
                    idx: any;
                }) => {
                    left: string;
                };
            };
        };
        Popconfirm: {
            icons: {
                warning: any;
            };
        };
        Popover: {
            api: string[];
            renderless: (props: any, hooks: any, { emit }: {
                emit: any;
            }, api: any) => {
                close(): void;
                show(): void;
                toggle(): void;
            };
        };
        Switch: {
            showText: boolean;
        };
        Select: {
            baseOpts: {
                optionHeight: number;
                limit: number;
            };
            icons: {
                dropdownIcon: any;
            };
            state: {
                sizeMap: {
                    default: number;
                    mini: number;
                    small: number;
                    medium: number;
                };
                spacingHeight: number;
                initialInputHeight: number;
                autoHideDownIcon: boolean;
                delayBlur: boolean;
            };
            props: {
                tagType: string;
                stopPropagation: boolean;
            };
            renderless: (props: any, hooks: any, { emit }: {
                emit: any;
            }, api: any) => {
                computedCollapseTagSize: () => string;
                computedShowDropdownIcon: () => boolean;
                toggleCheckAll: (filtered: any) => void;
                computedShowTagText: () => any;
                isTagClosable: (item: any) => boolean;
            };
        };
        Split: {
            triggerBarConWithLine: boolean;
        };
        Time: {
            showTimePickerButton: boolean;
        };
        TimeRange: {
            showTimePickerRangeButton: boolean;
        };
        TimeSpinner: {
            itemMarginSpace: number;
        };
        TransferPanel: {
            inputBoxType: string;
            showInputSearch: boolean;
        };
        UploadList: {
            state: {
                progressType: string;
                progressWidth: null;
                progressStrokeWidth: number;
                tooltipDisabled: boolean;
            };
            icons: {
                closeComponent: string;
                preViewComponent: string;
            };
        };
        Loading: {
            props: {
                loadingImg: string;
            };
        };
        Input: {
            options: {
                isCloseIconHide: boolean;
            };
            renderless: (props: any, hooks: any, { emit, nextTick }: {
                emit: any;
                nextTick: any;
            }, api: any) => {
                clear: () => void;
                handleInput: (event: any) => void;
            };
        };
        DateRange: {
            state: {
                confirmButtonProps: {
                    plain: boolean;
                    type: string;
                };
            };
        };
        Pager: {
            state: {
                showJumperSuffix: boolean;
                totalI18n: string;
                pageSizeText: null;
            };
        };
        Wizard: {
            icons: {
                IconYes: string;
            };
        };
        DialogBox: {
            state: {
                top: string;
            };
        };
        Popeditor: {
            renderless: (props: any, hooks: any, { emit }: {
                emit: any;
            }, api: any) => {
                computedTreeMaxHeight(): void;
            };
        };
    };
};
export default _default;
